What are the minimum system requirements for KDE?

Marlon September 7, 2011
Pinterest Stumbleupon Whatsapp

I want to try KDE, but I don’t want download it if it doesn’t work on my laptop.

  1. Jeffery Fabish
    September 8, 2011 at 8:52 am

    The problem with KDE isn't that it won't work with older systems, in most cases it will. The problem is how slow it will run. KDE 4.7 requires 515 MB's of ram and at least a 1GHz CPU.

    If you're looking for a lightweight desktop environment, XFCE and LXDE come to mind.